# https://docs.gitlab.com/ee/user/clusters/agent/install/index.html#define-a-configuration-repository
# https://gitlab.com/kmcknight-demo/debugging/docusign-eks/kubernetes-agent-configuration/-/blob/main/.gitlab/agents/western/config.yaml
gitops:
  manifest_projects:
  # The `id` is the path to the Git repository holding your manifest files
  - id: "mark.cesario/kas/kas-mce-cluster-mgt-project"
  # - id: "mark.cesario/kas/kas-etoe-project"
    paths:
    - glob: '/**/*.{yaml,yml,json}'

# Authorize other projects in GitLab to use this Agent.
# https://docs.gitlab.com/ee/user/clusters/agent/repository.html#authorize-projects-to-use-an-agent
ci_access:
  groups:
    - id: mark.cesario/kas
